WebSphereJDBCConnectionPool (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJDBCConnectionPool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereJDBCConnectionPool

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource, WebSphereJ2EEResource

    public interface WebSphereJDBCConnectionPool

extends WebSphereJ2EEResource

Represents a WebSphere JDBC Connection Pool

Persistable:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`IBM_COPYRIGHT`

Method Summary
`long` | `getAgedTimeoutMsecs()`
`WebSphereAuthMappingModule` | `getAuthMappingModule()`
`long` | `getConnectionTimeoutSecs()`
`WebSphereJDBCDataSource` | `getDataSource()`
`int` | `getMaxConnections()`
`int` | `getMinConnections()`
`java.lang.String` | `getPurgePolicy()`
`long` | `getReapTimeSecs()`
`long` | `getUnusedTimeoutMsecs()`
`boolean` | `hasAgedTimeoutMsecs()`
`boolean` | `hasAuthMappingModule()`
`boolean` | `hasConnectionTimeoutSecs()`
`boolean` | `hasDataSource()`
`boolean` | `hasMaxConnections()`
`boolean` | `hasMinConnections()`
`boolean` | `hasPurgePolicy()`
`boolean` | `hasReapTimeSecs()`
`boolean` | `hasUnusedTimeoutMsecs()`
`void` | `setAgedTimeoutMsecs(long agedTimeout)`
`void` | `setAuthMappingModule(WebSphereAuthMappingModule mapping)`
`void` | `setConnectionTimeoutSecs(long connectionTimeout)`
`void` | `setDataSource(WebSphereJDBCDataSource ds)`
`void` | `setMaxConnections(int maxConnections)`
`void` | `setMinConnections(int minConnections)`
`void` | `setPurgePolicy(java.lang.String purgePolicy)`
`void` | `setReapTimeSecs(long reapTime)`
`void` | `setUnusedTimeoutMsecs(long unusedTimeout)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`getNode, hasNode, setNode`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getDataSource

    WebSphereJDBCDataSource getDataSource()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setDataSource

    void setDataSource(WebSphereJDBCDataSource ds)

### hasDataSource

    boolean hasDataSource()

### getConnectionTimeoutSecs

    long getConnectionTimeoutSecs()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionTimeoutSecs

    void setConnectionTimeoutSecs(long connectionTimeout)

### hasConnectionTimeoutSecs

    boolean hasConnectionTimeoutSecs()

### getMaxConnections

    int getMaxConnections()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxConnections

    void setMaxConnections(int maxConnections)

### hasMaxConnections

    boolean hasMaxConnections()

### getMinConnections

    int getMinConnections()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinConnections

    void setMinConnections(int minConnections)

### hasMinConnections

    boolean hasMinConnections()

### getReapTimeSecs

    long getReapTimeSecs()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReapTimeSecs

    void setReapTimeSecs(long reapTime)

### hasReapTimeSecs

    boolean hasReapTimeSecs()

### getUnusedTimeoutMsecs

    long getUnusedTimeoutMsecs()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUnusedTimeoutMsecs

    void setUnusedTimeoutMsecs(long unusedTimeout)

### hasUnusedTimeoutMsecs

    boolean hasUnusedTimeoutMsecs()

### getAgedTimeoutMsecs

    long getAgedTimeoutMsecs()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAgedTimeoutMsecs

    void setAgedTimeoutMsecs(long agedTimeout)

### hasAgedTimeoutMsecs

    boolean hasAgedTimeoutMsecs()

### getPurgePolicy

    java.lang.String getPurgePolicy()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPurgePolicy

    void setPurgePolicy(java.lang.String purgePolicy)

### hasPurgePolicy

    boolean hasPurgePolicy()

### getAuthMappingModule

    WebSphereAuthMappingModule getAuthMappingModule()
                                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### setAuthMappingModule

    void setAuthMappingModule(WebSphereAuthMappingModule mapping)

### hasAuthMappingModule

    boolean hasAuthMappingModule()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD